:root {
  --main-color: #001a3b;
  --link-color: #134395;
  --text-color: #222;
  --alt-text-color: #fff;
  --bankid-text-color: rgb(25, 62, 79);

  --hover-color: #001a3b;
  --decline-color: #f6f6f6;
  --decline-text: #000;
  --decline-hover: #dddddd;

  --footer-background: #f6f6f6;
  --alt-background: #d4dce1;
  --background: #fff;
  --shadow: rgba(0, 0, 0, 0.15);
  --rimlight: rgba(0, 0, 0, 0.1);

  --nav-fontsize: 1rem;
  --default-fontsize: 1.15rem;
  --default-fontsize: 1rem;
  --banner-title-fontsize: 4rem;
  --banner-text-fontsize: 1.15rem;
  --button-fontsize: 1.15rem;
  --card-fontsize: 1.15rem;
  --card-padding: 1rem;

  --font: "Roboto", sans-serif;
  --card-border-radius: 12px;
  --alt-card-border-radius: 6px;

  --swiper-theme-color: var(--background);
}

.styled-font {
  font-family: "Frank Ruhl Libre", serif;
  font-optical-sizing: auto;
  font-weight: 300;
  font-style: normal;
}

.margin-right-2 {
  margin-right: 1rem;
}

* {
  margin: 0;
  padding: 0;
}

.postfix-kr::after {
  content: " kr";
}

body,
main,
body > div.container {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  width: 100%;
  font-family: var(--font);
  font-size: var(--default-fontsize);
}

footer.footer {
  padding: 5vh;
  border-top: solid 1px var(--rimlight);
  margin-top: auto;
  background-color: var(--background);
}

a {
  text-decoration: none;
  color: var(--text-color);
}

a:hover {
  text-decoration: underline;
  cursor: pointer;
}

.public-nav {
  position: sticky;
  top: 0;
  z-index: 10;
  display: flex;
  padding: 0 2em;
  background-color: var(--background);
  box-shadow: 2px 0 4px var(--shadow);
}
.public-nav .mobile-burger {
  height: max-content;
  width: max-content;
  margin: auto 0 auto 0;
  display: flex;
  flex-direction: column;
  gap: 8px;
  cursor: pointer;
}
.public-nav .mobile-burger > span {
  display: block;
  background-color: var(--main-color);
  height: 2px;
  width: 2rem;
}
.public-nav > div {
  display: flex;
  gap: 0.5em;
}
.public-nav > div > a {
  font-size: var(--nav-fontsize);
  padding: 1em 0.75em;
  display: block;
  font-weight: bold;
}
.public-nav > .logo {
  height: 2rem;
  display: block;
  align-self: center;
  margin-left: auto;
}
.public-nav .signout {
  display: block;
  padding: 0.5em 0.5em;
  font-size: 1rem;
  border-radius: 6px;
  align-self: center;
  align-self: center;
}
.public-nav .signout.alt {
  border-width: 1px;
  border-color: rgba(0, 0, 0, 0.25);
}
.profile form {
  display: flex;
}
.profile {
  margin-left: auto;
}

.anchor-button {
  display: block;
  padding: 0.75em 1.5em;
  max-width: max-content;
  border: solid 2px var(--alt-text-color);
  border-radius: 8px;
  font-size: var(--button-fontsize);
  background-color: var(--main-color);
  color: var(--alt-text-color);
  -webkit-border-radius: 8px;
  -moz-border-radius: 8px;
  -ms-border-radius: 8px;
  -o-border-radius: 8px;
  transition: 200ms;
  -webkit-transition: 200ms;
  -moz-transition: 200ms;
  -ms-transition: 200ms;
  -o-transition: 200ms;
}
.anchor-button:hover {
  color: white;
}
.anchor-button:has(.material-symbols-outlined) {
  display: flex;
  gap: 0.25rem;
  align-items: center;
}
.anchor-button .material-symbols-outlined {
  font-size: max(1.15em, 24px);
}
.anchor-button.full-border {
  border: solid 2px var(--main-color);
}
.anchor-button.alt {
  color: var(--text-color);
  background-color: var(--background);
  border: solid 2px var(--main-color);
}
.anchor-button.alt:hover {
  background-color: var(--alt-background);
}
.anchor-button.inactive,
.anchor-button:disabled {
  background-color: var(--alt-background) !important;
  color: #696969 !important;
  border-color: #696969 !important;
}
.anchor-button.small {
  border-width: 1px;
  height: min-content;
  padding: 0.25em 0.5em;
  font-size: calc(var(--button-fontsize) - 0.15rem);
  border-radius: 4px;
}
.anchor-button.small.icon {
  padding: 0.5em;
}

.uni-select {
  display: flex;
  flex-direction: column;
  position: relative;

  label {
    font-size: 1.15rem;
  }

  select {
    font-size: 1rem;
  }
  select.hidden {
    display: none;
    visibility: hidden;
  }
}

.uni-custom-select {
  cursor: pointer;
  font-size: 1rem;

  & > span {
    display: block;
    position: relative;
    padding: 0.75rem 1em;
    padding-right: calc(1em + 1em);
    /* border: 2px solid var(--main-color); */
    background-color: var(--main-color);
    border-radius: min(var(--alt-card-border-radius), 4px);
    min-width: 12ch;
    max-width: 24ch;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    transition: all 200ms;

    font-size: 1rem;
    font-weight: normal;
    -moz-user-select: none;
    -webkit-user-select: none;
    user-select: none;
    color: var(--alt-text-color);
  }

  & > span::after {
    content: "";
    position: absolute;
    top: 50%;
    transform: translateY(-66%) rotate(135deg);
    transition: transform 200ms;
    right: calc(1em);
    width: 0.66em;
    height: 0.66em;
    border-right: 0.215em solid var(--alt-text-color);
    border-top: 0.215em solid var(--alt-text-color);
    border-radius: 4px;
    background-color: transparent;
  }
  &.list-open > span::after {
    transform: translateY(-33%) rotate(315deg);
  }
}

.uni-select-opt-container {
  background-color: var(--background);
  display: flex;
  flex-direction: column;
  position: relative;
  border-radius: var(--alt-card-border-radius);
  z-index: 2;
}

.uni-select-opt {
  display: block;
  font-weight: 300;
  padding: 0.5rem 0.75em;
  outline: solid 1px var(--rimlight);
  font-size: 1rem;

  &:hover {
    background-color: var(--alt-background);
  }
}

.uni-custom-select.list-open + .uni-select-opt-container {
  border-bottom: 2px solid var(--main-color);
  box-shadow: 2px 2px 4px var(--shadow);
}

@media only screen and (max-width: 600px) {
  .public-nav {
    padding: 0.5rem 2rem;
    isolation: isolate;
    z-index: 10;
  }
  .public-nav > .nav-menu {
    flex-direction: column;
    width: 100%;
    padding: 0.5rem 0;
    position: absolute;
    background-color: var(--background);
    box-shadow: 0px 2px 8px var(--shadow);
    z-index: -1;
    top: 100%;
    left: 0;
    transform: translateX(-110%);
    -webkit-transform: translateX(-110%);
    -moz-transform: translateX(-110%);
    -ms-transform: translateX(-110%);
    -o-transform: translateX(-110%);
    transition: 200ms;
    -webkit-transition: 200ms;
    -moz-transition: 200ms;
    -ms-transition: 200ms;
    -o-transition: 200ms;
  }
  .public-nav > .nav-menu.mobile-show {
    transform: translateX(-0%);
    -webkit-transform: translateX(-0%);
    -moz-transform: translateX(-0%);
    -ms-transform: translateX(-0%);
    -o-transform: translateX(-0%);
  }
  .public-nav > .nav-menu > a {
    font-size: var(--nav-fontsize);
    padding: 0.75em;
    display: block;
    font-weight: bold;
  }

  .public-nav > .logo {
    height: 2rem;
    display: block;
    align-self: center;
    margin-left: auto;
  }
}
